Skip to main content
GET
/
v0
/
testClocks
List
curl --request GET \
  --url https://api.paygentic.io/v0/testClocks \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paygentic.io/v0/testClocks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paygentic.io/v0/testClocks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "tc_q7r8s9t0u1v2w3x4",
      "createdAt": "2024-01-01T00:00:00Z",
      "currentTime": "2024-01-01T00:00:00Z",
      "deletedAt": null,
      "description": "Test clock for annual subscription scenarios",
      "merchantId": "org_y5z6a7b8c9d0e1f2",
      "name": "Yearly Billing Test",
      "updatedAt": "2024-01-15T12:00:00Z"
    }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0,
    "total": 1
  }
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

limit
integer
default:10

Number of items to return

Required range: 1 <= x <= 100
merchantId
string

Filter test clocks by merchant ID. If not provided, will be extracted from authenticated user's context.

offset
integer
default:0

Number of items to skip

Required range: x >= 0

Response

List of test clocks

data
object[]
pagination
object